/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

package org.elasticsearch.action.admin.indices.segments;

import org.elasticsearch.action.support.broadcast.BroadcastOperationRequestBuilder;
import org.elasticsearch.client.internal.ElasticsearchClient;

public class IndicesSegmentsRequestBuilder extends BroadcastOperationRequestBuilder<
    IndicesSegmentsRequest,
    IndicesSegmentResponse,
    IndicesSegmentsRequestBuilder> {

    public IndicesSegmentsRequestBuilder(ElasticsearchClient client) {
        super(client, IndicesSegmentsAction.INSTANCE, new IndicesSegmentsRequest());
    }

    public IndicesSegmentsRequestBuilder includeVectorFormatInfo(boolean includeVectorFormatInfo) {
        this.request.withVectorFormatsInfo(includeVectorFormatInfo);
        return this;
    }
}
